/*
** Elements Structure
*/

#container {
  width: 100%;
  position: relative;
}

/*
** General Performance
*/

.block {
  position: relative;
}

.box {
  position: relative;
}

/*
** Kind of Grid System
*/

.row {
  width: 100%;
}

.row:before,
.row:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.row:after {
    clear: both;
}


/* 767px or less */

@media only screen and (min-width: 1px) {

  #contents {
    /*position: absolute;*/
    width: 100%;
    margin: 0 auto;
    z-index: 2;
  }

  #contents-inner {
    width: calc(100% - 50px);
    margin: 0 auto;
  }

  .col, .s-1, .s-2, .s-3, .s-4, .s-5, .s-6, .s-7, .s-8, .s-9, .s-10, .s-11, .s-12 {
    float: left;
    min-height: 1px; /* Fix, otherwise if the DIV is empty, doest render it */
  }

  .s-12 {
    width: 100%;
  }
  .s-11 {
    width: 91.66666667%;
  }
  .s-10 {
    width: 83.33333333%;
  }
  .s-9 {
    width: 75%;
  }
  .s-8 {
    width: 66.66666667%;
  }
  .s-7 {
    width: 58.33333333%;
  }
  .s-6 {
    width: 50%;
  }
  .s-5 {
    width: 41.66666667%;
  }
  .s-4 {
    width: 33.33333333%;
  }
  .s-3 {
    width: 25%;
  }
  .s-2 {
    width: 16.66666667%;
  }
  .s-1 {
    width: 8.33333333%;
  }

  .s-1-margin {
    margin-left: 8.33333333%;
  }

/* 768px or more */

@media
only screen and (min-width: 768px) /*and (max-width: 991px) and (max-resolution: 1.5dppx),
only screen and (min-width: 768px) and (max-width: 1500px) and (min-resolution: 1.5dppx) */{

  #contents {
    width: 768px;
    margin: 0 auto;
    z-index: 2;
  }

  #contents-inner {
    width: 700px;
    margin: 0 auto;
  }

  .col, .s-1, .s-2, .s-3, .s-4, .s-5, .s-6, .s-7, .s-8, .s-9, .s-10, .s-11, .s-12 {
    float: left;
    min-height: 1px; /* Fix, otherwise if the DIV is empty, doest render it */
  }

  .s-12 {
    width: 100%;
  }
  .s-11 {
    width: 91.66666667%;
  }
  .s-10 {
    width: 83.33333333%;
  }
  .s-9 {
    width: 75%;
  }
  .s-8 {
    width: 66.66666667%;
  }
  .s-7 {
    width: 58.33333333%;
  }
  .s-6 {
    width: 50%;
  }
  .s-5 {
    width: 41.66666667%;
  }
  .s-4 {
    width: 33.33333333%;
  }
  .s-3 {
    width: 25%;
  }
  .s-2 {
    width: 16.66666667%;
  }
  .s-1 {
    width: 8.33333333%;
  }

  .s-1-margin {
    margin-left: 8.33333333%;
  }

}

/* 992px or more */

@media
only screen and (min-width: 992px) /*and (max-width: 1299px) and (max-resolution: 1.5dppx),
only screen and (min-width: 1500px) and (max-width: 2549px) and (min-resolution: 1.5dppx)*/ {

  #contents {
    width: 980px;
    margin: 0 auto;
    z-index: 2;
  }

  #contents-inner {
    width: 700px;
    margin: 0 0 0 280px;
  }

  .col, .m-1, .m-2, .m-3, .m-4, .m-5, .m-6, .m-7, .m-8, .m-9, .m-10, .m-11, .m-12 {
    float: left;
    min-height: 1px; /* Fix, otherwise if the DIV is empty, doest render it */
  }

  .m-12 {
    width: 100%;
  }
  .m-11 {
    width: 91.66666667%;
  }
  .m-10 {
    width: 83.33333333%;
  }
  .m-9 {
    width: 75%;
  }
  .m-8 {
    width: 66.66666667%;
  }
  .m-7 {
    width: 58.33333333%;
  }
  .m-6 {
    width: 50%;
  }
  .m-5 {
    width: 41.66666667%;
  }
  .m-4 {
    width: 33.33333333%;
  }
  .m-3 {
    width: 25%;
  }
  .m-2 {
    width: 16.66666667%;
  }
  .m-1 {
    width: 8.33333333%;
  }

  .m-1-margin {
    margin-left: 8.33333333%;
  }

}

/* 1200px or more */

@media
only screen and (min-width: 1200px)/* and (max-resolution: 1.5dppx),
only screen and (min-width: 2600px) and (min-resolution: 1.5dppx) */{

  #contents {
    width: 1200px;
    margin: 0 auto;
    z-index: 2;
  }

  #contents-inner {
    width: 950px;
    margin: 0 0 0 250px;
  }

  .col, .l-1, .l-2, .l-3, .l-4, .l-5, .l-6, .l-7, .l-8, .l-9, .l-10, .l-11, .l-12 {
    float: left;
    min-height: 1px; /* Fix, otherwise if the DIV is empty, doest render it */
  }

  .l-12 {
    width: 100%;
  }
  .l-11 {
    width: 91.66666667%;
  }
  .l-10 {
    width: 83.33333333%;
  }
  .l-9 {
    width: 75%;
  }
  .l-8 {
    width: 66.66666667%;
  }
  .l-7 {
    width: 58.33333333%;
  }
  .l-6 {
    width: 50%;
  }
  .l-5 {
    width: 41.66666667%;
  }
  .l-4 {
    width: 33.33333333%;
  }
  .l-3 {
    width: 25%;
  }
  .l-2 {
    width: 16.66666667%;
  }
  .l-1 {
    width: 8.33333333%;
  }

  .l-1-margin {
    margin-left: 8.33333333%;
  }

}

/* 1600px or more */

@media
only screen and (min-width: 1600px) /*and (max-resolution: 1.5dppx),
only screen and (min-width: 2600px) and (min-resolution: 1.5dppx) */{

  #contents {
    width: auto;
    max-width: 1600px;
    margin: 0 auto;
    z-index: 2;
  }

  #contents-inner {
    width: auto;
    max-width: 1300px;
    margin: 0 0 0 300px;
  }

  .col, .xl-1, .xl-2, .xl-3, .xl-4, .xl-5, .xl-6, .xl-7, .xl-8, .xl-9, .xl-10, .xl-11, .xl-12 {
    float: left;
    min-height: 1px; /* Fix, otherwise if the DIV is empty, doest render it */
  }

  .xl-12 {
    width: 100%;
  }
  .xl-11 {
    width: 91.66666667%;
  }
  .xl-10 {
    width: 83.33333333%;
  }
  .xl-9 {
    width: 75%;
  }
  .xl-8 {
    width: 66.66666667%;
  }
  .xl-7 {
    width: 58.33333333%;
  }
  .xl-6 {
    width: 50%;
  }
  .xl-5 {
    width: 41.66666667%;
  }
  .xl-4 {
    width: 33.33333333%;
  }
  .xl-3 {
    width: 25%;
  }
  .xl-2 {
    width: 16.66666667%;
  }
  .xl-1 {
    width: 8.33333333%;
  }

}
